Subject: preview

From: "Pichler, Alois" <[email-masked]>
Date: Fri, 23 May 2025 15:10:32 +0200

The LaTeX-package ‘mathtools’ has the useful setting ‘showonlyrefs’ to
suppress equations numbers, which are not referenced in the text.
AUCTeX’s preview currently ignores this setting. Here is a minimal example:

\usepackage{mathtools}
\mathtoolsset{showonlyrefs}

\begin{equation}\label{eq:1}
   x=3   %   <--   preview will display “x=3”, not “x=3   (1)”, etc.
\end{equation}
In~\eqref{eq:1}, ... % equation will be numbered, because referenced here

Thanks and regards,
Alois